com.jacob.com

## Class MainSTA

- java.lang.Object
- - java.lang.Thread
  - - com.jacob.com.STA
    - - com.jacob.com.MainSTA

- All Implemented Interfaces:
    java.lang.Runnable

      public class MainSTA
      extends STA

  We provide our own main sta thread to avoid COM tagging a random thread as the main STA - this is the thread in which all Apartment threaded components will be created if the client chooses an MTA threading model for the java side of the app.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class com.jacob.com.STA

      `threadID`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainSTA()`

  - ### Method Summary

    - ### Methods inherited from class com.jacob.com.STA

      `doMessagePump, OnInit, OnQuit, quit, quitMessagePump, run`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MainSTA

          public MainSTA()

http://jacob-project.sourceforge.net